LibRaw-devel-0.9.1-9.el6.nux.i686.rpm


Advertisement

Description

LibRaw-devel - LibRaw development libraries

Distribution: CentOS 6
Repository: Nux Dextop i386
Package name: LibRaw-devel
Package version: 0.9.1
Package release: 9.el6.nux
Package architecture: i686
Package type: rpm
Installed size: 1.10 MB
Download size: 242.19 KB
Official Mirror: li.nux.ro
LibRaw development libraries This package contains static libraries that applications can use to build against LibRaw. LibRaw does not provide dynamic libraries.

Provides

  • LibRaw-devel = 0.9.1-9.el6.nux
  • LibRaw-devel(x86-32) = 0.9.1-9.el6.nux
  • LibRaw-static = 0.9.1-9.el6.nux

    Install Howto

    1. Download the latest nux-dextop-release rpm from
      http://li.nux.ro/download/nux/dextop/el6/i386/
    2. Install nux-dextop-release rpm:
      # rpm -Uvh nux-dextop-release*rpm
    3. Install LibRaw-devel rpm package:
      # yum install LibRaw-devel

    Files

    • /usr/include/libraw/libraw.h
    • /usr/include/libraw/libraw_alloc.h
    • /usr/include/libraw/libraw_const.h
    • /usr/include/libraw/libraw_datastream.h
    • /usr/include/libraw/libraw_internal.h
    • /usr/include/libraw/libraw_types.h
    • /usr/include/libraw/libraw_version.h
    • /usr/lib/libraw.a
    • /usr/lib/libraw_r.a
    • /usr/share/doc/LibRaw-devel-0.9.1/COPYRIGHT
    • /usr/share/doc/LibRaw-devel-0.9.1/Changelog.rus
    • /usr/share/doc/LibRaw-devel-0.9.1/Changelog.txt
    • /usr/share/doc/LibRaw-devel-0.9.1/LICENSE.CDDL
    • /usr/share/doc/LibRaw-devel-0.9.1/LICENSE.LGPL
    • /usr/share/doc/LibRaw-devel-0.9.1/manual/API-C-eng.html
    • /usr/share/doc/LibRaw-devel-0.9.1/manual/API-C-rus.html
    • /usr/share/doc/LibRaw-devel-0.9.1/manual/API-CXX-eng.html
    • /usr/share/doc/LibRaw-devel-0.9.1/manual/API-CXX-rus.html
    • /usr/share/doc/LibRaw-devel-0.9.1/manual/API-datastruct-eng.html
    • /usr/share/doc/LibRaw-devel-0.9.1/manual/API-datastruct-rus.html
    • /usr/share/doc/LibRaw-devel-0.9.1/manual/API-notes-eng.html
    • /usr/share/doc/LibRaw-devel-0.9.1/manual/API-notes-rus.html
    • /usr/share/doc/LibRaw-devel-0.9.1/manual/API-overview-eng.html
    • /usr/share/doc/LibRaw-devel-0.9.1/manual/API-overview-rus.html
    • /usr/share/doc/LibRaw-devel-0.9.1/manual/Install-LibRaw-eng.html
    • /usr/share/doc/LibRaw-devel-0.9.1/manual/Install-LibRaw-rus.html
    • /usr/share/doc/LibRaw-devel-0.9.1/manual/Samples-LibRaw-eng.html
    • /usr/share/doc/LibRaw-devel-0.9.1/manual/Samples-LibRaw-rus.html
    • /usr/share/doc/LibRaw-devel-0.9.1/manual/Why-LibRaw-eng.html
    • /usr/share/doc/LibRaw-devel-0.9.1/manual/Why-LibRaw-rus.html
    • /usr/share/doc/LibRaw-devel-0.9.1/manual/corner-scheme.png
    • /usr/share/doc/LibRaw-devel-0.9.1/manual/index-eng.html
    • /usr/share/doc/LibRaw-devel-0.9.1/manual/index-rus.html
    • /usr/share/doc/LibRaw-devel-0.9.1/manual/index.html

    Changelog

    2010-11-13 - Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-9 - Build position independent object code

    2010-07-08 - Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-8 - Remove LibRaw license since we're not distributing LibRaw under its terms

    2010-07-07 - Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-7 - Buildroot is unnecessary - Corrected license to LGPLv2 or CDDL

    2010-07-04 - Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-6 - Do not impose -O4 and -w in build options - Change package group to Development/Libraries - Corrected license to LGPLv2 - setup macro no longer needs the name and version arguments - Rename patches to include name and version

    2010-06-30 - Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-5 - Use optflags for build - Install the documentation in a cleaner way

    2010-06-29 - Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-4 - Use upstream package name (libRaw) instead of libraw

    2010-06-29 - Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-3 - Remove the clean section since it is not needed in F-13 and later - Correct installation of docs into defaultdocdir instead of docdir

    2010-06-10 - Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-2 - Disable lcms and openmp support by default so that we're in line with upstream default

    2010-06-04 - Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-1 - New package

    Advertisement
    Advertisement